<bugID>1175760<Summary>Recording configuration should be set by target support, not just prefs</Summary><Description>Right now we set a recording's configuration based on prefs, like record memory, record framerate, record allocations etc.

Our views check if an actor is supported as well if the configuration was set, based on the client's pref. When importing a profile like this, it'll say it has "withMemory" support, even though there's no memory data on the original target. I'm not sure if we even cover that import case, since there's no target to feature detect.

What we should do is set the configuration via prefs like we do now, and then when setting on the RecordingModel via PerformanceFront, we should override if target does not support. Like:

new RecordingModel({ withMemory: this._memorySupported ? options.withMemory : false })

That way we don't have to have feature detection stuff littered throughout the client, and a recording's configuration is a single source of truth.

We need to do this before creating a real PerformanceActor.</Description></bugID>